<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class InternalMessageAttachment extends Model
{

    protected $table = 'internal_message_attachment';

    public function getRouteKeyName()
    {
        return 'uid';
    }

    public function systemFile()
    {
        return $this->hasOne(SystemFile::class, 'id', 'system_file_id');
    }

}
